View Issue Details

IDProjectCategoryView StatusLast Update
0001707Common[All Projects] Generalpublic2016-09-11 02:05
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.4 
Target VersionFixed in Version2.0.9 
Summary0001707: Passer le run-xml-validator.sh en PHP
DescriptionCar il est très lent à MTA. Il faudrait voir si je peux le basculer en PHP, ce qui est certainement faisable vu qu'on a les DOMDocument et qu'on a la validation qui va avec ( http://php.net/manual/en/domdocument.schemavalidate.php ) donc cela devrait se faire.

Actuellement, il me faut 7 minutes à MTA pour valider les 700 fichiers XML de Dracca.
TagsNo tags attached.
Attach Tags

Activities

Xenos

Xenos

2016-09-09 22:39

administrator   ~0002254

Je tombe à 20 secondes pour 400 fichiers à la maison.
Et avec le cache, c'est instantané.

J'espère pouvoir continuer à migrer les scripts SHELL vers PHP, morceau par morceau, pour accélérer les choses et permettre d'utiliser le déboggueur de NetBeans pour faire mes compilateurs.
Xenos

Xenos

2016-09-09 22:40

administrator   ~0002255

Je laisse encore les utils-cli, utils-params et utils-audio shell scripts, le temps de convertir tout le reste.

Et j'ai laissé le fichier PHP dans le dossier "shell", par flemme. Je déplacerai tout cela plus tard.

Issue History

Date Modified Username Field Change
2016-09-02 22:58 Xenos New Issue
2016-09-02 22:58 Xenos Status New => Understood
2016-09-06 22:07 Xenos Project Common => @15@
2016-09-09 19:21 Xenos Assigned To => Xenos
2016-09-09 19:21 Xenos Status Understood => In progress
2016-09-09 22:39 Xenos Note Added: 0002254
2016-09-09 22:39 Xenos Status In progress => Ready
2016-09-09 22:39 Xenos Resolution open => fixed
2016-09-09 22:40 Xenos Note Added: 0002255
2016-09-11 02:04 Xenos Project @15@ => Common
2016-09-11 02:05 Xenos Status Ready => Close
2016-09-11 02:05 Xenos Fixed in Version => 2.0.9